#' gmt_example
#' 
#' Markers of 5 glial cell-types
#'
#' A named list containing the cell-type markers of 5 glial cell types. Used for testing cell-type naming functions.
#'
#' @rdname gmt
#' @name gmt
#'
#' @usage data(gmt)
#'
#' @format A list with 5 character vectors, each containing genes.
#' \describe{
#'   \item{Astrocytes_panglao}{ astrocyte markers identified by panglao}
#'   \item{Schwann_panglao}{ Schwann markers identified by panglao}
#'   \item{Bergmann glia_panglao}{ Bergmann glia markers identified by panglao}
#'   \item{Kupffer_panglao}{ Kupffer markers identified by panglao}
#'   \item{Oligodendrocyte progenitor_panglao}{ Oligodendrocyte progenitor markers identified by panglao}
#' }
#' @examples 
#' data(gmt)
#' @keywords datasets
#' 
NULL
